#include <FastLED.h>

#define DATA_PIN     D6
#define NUM_LEDS    8
#define BRIGHTNESS  250
#define LED_TYPE    WS2812
#define COLOR_ORDER GRB
int zahl;
CRGB leds[NUM_LEDS];


void setup() {
  Serial.begin(115200);
  FastLED.addLeds<WS2812B, DATA_PIN, RGB>(leds, NUM_LEDS);
}


void loop()
{
  for (int dot = 0; dot < 10; dot++) {
    segment(dot);
    FastLED.show();    
    Serial.println(dot);
    delay(1   000);
  }
}


//    CRGB::Red,
//    CRGB::Gray, // 'white' is too bright compared to red and blue
//    CRGB::Blue,
//    CRGB::Black,






